"""empty message

Revision ID: 1a0863dead89
Revises: 9498d12c7d47
Create Date: 2024-08-30 12:57:04.926122

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '1a0863dead89'
down_revision = '9498d12c7d47'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('bux_payment',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('provider_reference', sa.String(), nullable=True),
    sa.Column('student_id', sa.Integer(), nullable=False),
    sa.Column('transaction_date', sa.Date(), nullable=False),
    sa.Column('bux', sa.Integer(), nullable=False),
    sa.Column('status', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['student_id'], ['user.id'], name=op.f('fk_bux_payment_student_id_user')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_bux_payment'))
    )
    op.create_table('event',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('title', sa.String(), nullable=False),
    sa.Column('image', sa.String(), nullable=True),
    sa.Column('description', sa.String(), nullable=False),
    sa.Column('organizer', sa.Integer(), nullable=False),
    sa.Column('address', sa.String(), nullable=False),
    sa.Column('event_time', sa.DateTime(), nullable=False),
    sa.Column('registration_deadline', sa.DateTime(), nullable=False),
    sa.Column('spots', sa.Integer(), nullable=False),
    sa.Column('cost', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['organizer'], ['user.id'], name=op.f('fk_event_organizer_user')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_event'))
    )
    op.create_table('event_registration',
    sa.Column('event_id', sa.Integer(), nullable=False),
    sa.Column('student_id', sa.Integer(), nullable=False),
    sa.Column('registration_time', sa.DateTime(), nullable=False),
    sa.Column('bux', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['event_id'], ['event.id'], name=op.f('fk_event_registration_event_id_event'), ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['student_id'], ['user.id'], name=op.f('fk_event_registration_student_id_user')),
    sa.PrimaryKeyConstraint('event_id', 'student_id', name=op.f('pk_event_registration'))
    )
    op.add_column('user', sa.Column('intro_bux', sa.Integer(), nullable=False, server_default="0"))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('user', 'intro_bux')
    op.drop_table('event_registration')
    op.drop_table('event')
    op.drop_table('bux_payment')
    # ### end Alembic commands ###
